import request from '@/utils/request'

// 获取车辆列表
export function getCar(parameter) {
  return request({
    url: '/api/car',
    method: 'get',
    params: parameter
  })
}
// 获取车辆详情
export function getCarDetails(parameter) {
  return request({
    url: '/api/car' + parameter,
    method: 'get',
  })
}

// 添加车辆
export function addCar(parameter) {
  return request({
    url: '/api/car',
    method: 'post',
    data: parameter
  })
}

// 编辑车辆
export function putCar(parameter) {
  return request({
    url: '/api/car',
    method: 'put',
    data: parameter
  })
}

// 删除车辆
export function delCar(parameter) {
  return request({
    url: '/api/car',
    method: 'delete',
    data: parameter
  })
}
